#include "partition.h"
#include <bits/stdc++.h>
using namespace std;

vector<int> solve(vector<int> a)
{
    vector<pair<int, int>> p;
    for(int i=0; i<a.size(); i++)
    {
        p.push_back({a[i], i});
    }
    sort(p.begin(), p.end());
    vector<int> ans(a.size(), 0);
    for(int i=0; i<p.size(); i+=2)
    {
        ans[i/2]=p[i].second;
        ans[p.size()-1-i/2]=p[i+1].second;
    }
    return ans;
}